%define         _glib2          0:2.0.0

Summary: GStreamer mp3 plugins
Name: gstreamer-plugins-extras
Version: 0.10.9
%define majmin 0.10
%define po_package gst-plugins-%{majmin}
Release: 2%{?dist}
License: LGPL
Group: Applications/Multimedia
URL: http://gstreamer.sourceforge.net/
Source: http://gstreamer.freedesktop.org/src/gst-plugins/gst-plugins-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
BuildRequires: glib2-devel >= %_glib2
Requires: gstreamer >= 0:%{version}
BuildRequires: gstreamer-devel >= 0:%{version}
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: libmad-devel libid3tag-devel lame-devel GConf2
BuildRequires: liboil-devel
Obsoletes: gstreamer-plugins-mp3
Provides: gstreamer-plugins-mp3

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. This package includes the MAD plugin for mp3 playback
and the LAME plugin for mp3 encoding.

%prep
%setup -q -n gst-plugins-%{version}

%build

%configure --with-plugins=lame,mad

make -C ext/lame ##%{?_smp_mflags}
make -C ext/mad ##%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majmin}/
install -m 0755 -s ext/lame/.libs/libgstlame.so $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majmin}/libgstlame.so
install -m 0755 -s ext/mad/.libs/libgstmad.so $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majmin}/libgstmad.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS README
%{_libdir}/gstreamer-%{majmin}/libgstlame.*
%{_libdir}/gstreamer-%{majmin}/libgstmad.*

%changelog
* Fri Jul 17 2009 J. Randall Owens <jrowens@ghiapet.net> - 0.10.9-2
- Rebuild for Fedora 11

* Sat Nov 20 2004 Dams <anvil[AT]livna.org> - 0.8.5-0.lvn.2
- Added missing GConf2 buildrequires

* Thu Oct  7 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.5-0.lvn.1
- Update to 0.8.5.

* Wed Sep  1 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.4-0.lvn.1
- Update to 0.8.4.

* Tue Aug 31 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.3-0.lvn.1
- Update to 0.8.3 (stay in sync with Fedora Core development).

* Mon May 31 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.1-0.lvn.2
- Add LAME plugin (#158).

* Thu Apr 22 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.1-0.lvn.1
- Update to 0.8.1 + more minor spec improvements.

* Sat Mar 27 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.0-0.lvn.1
- Sync with Fedora Core.

* Sun Mar  7 2004 Dams <anvil[AT]livna.org> 0.6.3-3.lvn.2
- Fixed release tag & rebuild.

* Sat Mar  6 2004 Nicholas Miell <nmiell@comcast.net> - 0.6.3-3.lvn.2
- /usr/lib -> %%{_libdir}

* Sat Feb 28 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.7.5-0.lvn.1
- Update to 0.7.5 to prepare for FC 2.
- Sync gst-register changes from rawhide.

* Mon Jan 12 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.6.3-3.lvn.1
- Dropped unneeded Requires and Prereq.
- Improved summary and description, added URL.
- Dropped included doc COPYING, because licence is LGPL, not GPL.
- Included URL to source tarball.
- Added explicit Epoch to versioned dependencies.
- Dropped unneeded buildroot path tests.

* Wed Nov 12 2003 Gordon Messmer <gordon@dragonsdawn.net> 0.6.3-3
- build only the mad plugin

* Wed Sep 17 2003 Bill Nottingham <notting@redhat.com> 0.6.3-3
- more cleanups

* Fri Sep 12 2003 Nalin Dahyabhai <nalin@redhat.com> 0.6.3-2
- build gstcolorspace against a static bundled libHermes, which might want
  to move into its own package at some point
- explicitly list the plugins which are built in the files manifest so that
  we get errors if there are some which don't get built or get added between
  releases
- disable qcam on amd64 -- configure disables it on non-i386 arches
- limit 1394 support to amd64,ia64,ppc,ppc64,x86

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Update to 0.6.3 (gnome 2.4 final)
- remove all mpeg plugins

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 0.6.2-1
- 0.6.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 21 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-7
- use automake 1.6

* Mon Feb 17 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- rebuild to get sane s390x requires

* Tue Feb 11 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-4
- unset the DISPLAY when running gst-register

* Sat Feb  8 2003 Bill Nottingham <notting@redhat.com> 0.6.0-4
- move libgst*.so.X.X to main package; things require them (#80518, #83805)
- gstreamer-plugins-devel requires gstreamer-devel (#82506)

* Tue Feb  4 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-3
- remove ffmpeg for now.  It doesn't build -fPIC

* Tue Feb 04 2003 Phil Knirsch <pknirsch@redhat.com> 0.6.0-2
- Bump release and rebuild.

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com>
- new version.  Requires new gstreamer.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Matt Wilson <msw@redhat.com> 0.5.0-18
- disable qcam on all non x86 and x86_64 platforms

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix spec file to better remove libgstmedia-info
- exclude for mainframe

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-15
- Include ia64
- Add BuildRequires: autoconf automake

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-12
- rebuild

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-10
- rebuild
- disable tests

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.5.0-9
- rebuild

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- fix libdir for ia64.

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-3
- ExcludeArch: ia64.   Random assembler errors that I have no hope of fixing
- Add devel package

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-1
- 0.5.0
- apparently, festival-devel isn't needed.

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 0.4.2-3
- rebuild to fix broken dep on libgstreamer-0.4.2.so.0

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch the arches that can't build gstreamer cothreads
- well it isn't really SMP-safe
- add patch for including pthread.h when required
- prereq gconftool
- fix typo that broke schema installation in post

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- initial "official" import
- munge tarball for legal cleanliness

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1
- install the gconf schema
- use %%configure

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.0
- give explicit vorbis include path, don't run vorbis test

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- collapse into one package to preserve some sanity

* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plugins
- added changelog ;)
